src/fvm/fvm_writer.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
fvm_writer.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <ctype.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_priv.h"`
`#include "cs_base.h"`
`#include "cs_file.h"`
`#include "cs_timer.h"`
`#include "fvm_writer.h"`
`#include "fvm_writer_priv.h"`
`#include "fvm_to_ccm.h"`
`#include "fvm_to_cgns.h"`
`#include "fvm_to_med.h"`
`#include "fvm_to_ensight.h"`
Include dependency graph for fvm_writer.c:

## Macros
#define | DIR_SEPARATOR '/'

## Functions
void | fvm_writer_def_nodal_buf_size (const fvm_nodal_t *this_nodal, int n_slices, int n_polyhedron_vertices_mean, int n_polygon_vertices_mean, cs_gnum_t *n_g_vertices, cs_gnum_t n_g_elements_section[], cs_gnum_t *global_s_size, cs_gnum_t *global_connect_s_size)
int | fvm_writer_get_format_id (const char *format_name)
int | fvm_writer_n_formats (void)
const char * | fvm_writer_format_name (int format_index)
int | fvm_writer_format_available (int format_index)
int | fvm_writer_n_version_strings (int format_index)
const char * | fvm_writer_version_string (int format_index, int string_index, int compile_time_version)
fvm_writer_t * | fvm_writer_init (const char *name, const char *path, const char *format_name, const char *format_options, fvm_writer_time_dep_t time_dependency)
fvm_writer_t * | fvm_writer_finalize (fvm_writer_t *this_writer)
const char * | fvm_writer_get_name (const fvm_writer_t *this_writer)
const char * | fvm_writer_get_format (const fvm_writer_t *this_writer)
const char * | fvm_writer_get_options (const fvm_writer_t *this_writer)
const char * | fvm_writer_get_path (const fvm_writer_t *this_writer)
fvm_writer_time_dep_t | fvm_writer_get_time_dep (const fvm_writer_t *this_writer)
void | fvm_writer_set_mesh_time (fvm_writer_t *this_writer, int time_step, double time_value)
int | fvm_writer_needs_tesselation (fvm_writer_t *this_writer, const fvm_nodal_t *mesh, fvm_element_t element_type)
void | fvm_writer_export_nodal (fvm_writer_t *this_writer, const fvm_nodal_t *mesh)
void | fvm_writer_export_field (fvm_writer_t *this_writer, const fvm_nodal_t *mesh, const char *name, fvm_writer_var_loc_t location, int dimension, cs_interlace_t interlace, int n_parent_lists, const cs_lnum_t parent_num_shift[], cs_datatype_t datatype, int time_step, double time_value, const void *const field_values[])
void | fvm_writer_flush (fvm_writer_t *this_writer)
void | fvm_writer_get_times (fvm_writer_t *this_writer, cs_timer_counter_t *mesh_time, cs_timer_counter_t *field_time, cs_timer_counter_t *flush_time)

## Variables
const char * | fvm_writer_time_dep_name []
const char | _empty_string [] = ""

## Macro Definition Documentation

#define DIR_SEPARATOR '/'

## Function Documentation

void fvm_writer_def_nodal_buf_size | ( | const fvm_nodal_t * | this_nodal,
|  | int | n_slices,
|  | int | n_polyhedron_vertices_mean,
|  | int | n_polygon_vertices_mean,
|  | cs_gnum_t * | n_g_vertices,
|  | cs_gnum_t | n_g_elements_section[],
|  | cs_gnum_t * | global_s_size,
|  | cs_gnum_t * | global_connect_s_size
| ) |  |

void fvm_writer_export_field | ( | fvm_writer_t * | this_writer,
|  | const fvm_nodal_t * | mesh,
|  | const char * | name,
|  | fvm_writer_var_loc_t | location,
|  | int | dimension,
|  | cs_interlace_t | interlace,
|  | int | n_parent_lists,
|  | const cs_lnum_t | parent_num_shift[],
|  | cs_datatype_t | datatype,
|  | int | time_step,
|  | double | time_value,
|  | const void *const | field_values[]
| ) |  |

void fvm_writer_export_nodal | ( | fvm_writer_t * | this_writer,
|  | const fvm_nodal_t * | mesh
| ) |  |

fvm_writer_t* fvm_writer_finalize | ( | fvm_writer_t * | this_writer | ) |

void fvm_writer_flush | ( | fvm_writer_t * | this_writer | ) |

int fvm_writer_format_available | ( | int | format_index | ) |

const char* fvm_writer_format_name | ( | int | format_index | ) |

const char* fvm_writer_get_format | ( | const fvm_writer_t * | this_writer | ) |

int fvm_writer_get_format_id | ( | const char * | format_name | ) |

const char* fvm_writer_get_name | ( | const fvm_writer_t * | this_writer | ) |

const char* fvm_writer_get_options | ( | const fvm_writer_t * | this_writer | ) |

const char* fvm_writer_get_path | ( | const fvm_writer_t * | this_writer | ) |

fvm_writer_time_dep_t fvm_writer_get_time_dep | ( | const fvm_writer_t * | this_writer | ) |

void fvm_writer_get_times | ( | fvm_writer_t * | this_writer,
|  | cs_timer_counter_t * | mesh_time,
|  | cs_timer_counter_t * | field_time,
|  | cs_timer_counter_t * | flush_time
| ) |  |

fvm_writer_t* fvm_writer_init | ( | const char * | name,
|  | const char * | path,
|  | const char * | format_name,
|  | const char * | format_options,
|  | fvm_writer_time_dep_t | time_dependency
| ) |  |

int fvm_writer_n_formats | ( | void |  | ) |

int fvm_writer_n_version_strings | ( | int | format_index | ) |

int fvm_writer_needs_tesselation | ( | fvm_writer_t * | this_writer,
|  | const fvm_nodal_t * | mesh,
|  | fvm_element_t | element_type
| ) |  |

void fvm_writer_set_mesh_time | ( | fvm_writer_t * | this_writer,
|  | int | time_step,
|  | double | time_value
| ) |  |

const char* fvm_writer_version_string | ( | int | format_index,
|  | int | string_index,
|  | int | compile_time_version
| ) |  |

## Variable Documentation

const char _empty_string[] = ""

const char* fvm_writer_time_dep_name[]

Initial value:
= {N_("fixed mesh"),
N_("transient coordinates"),
N_("transient connectivity")}